Module | Fog::Core::DeprecatedConnectionAccessors
In: | lib/fog/core/deprecated_connection_accessors.rb

This module covers the shared code used by models and collections that deprecates the confusing usage of ‘connection’ which was actually intended to be an instance of Fog::Service

### Methods

connection connection= prepare_service_value

### Public Instance methods

connection()

Returns the Service the collection is part of

@deprecated connection is deprecated due to confusing name, use service instead @return [Fog::Service]

connection=(service)

Sets the Service but using the wrong name!

@deprecated The connection name was wrong and confusing since it refered to the service @param [Fog::Service] service An instance of a Fog service this collection is for

prepare_service_value(attributes)

Prepares the value of the service based on the passed attributes

@note Intended for use where the service is required before the normal

      initializer runs. The logic is run there with deprecation warnings.

@param [Hash] attributes @return [Fog::Service]

[Validate]